Gets the current status of the Application
curl --request GET \
--url https://sapi.withsutro.com/applications/{applicationId}/status \
--header 'Authorization: Bearer <token>' \
--header 'x-sutro-api-client: <api-key>'import requests
url = "https://sapi.withsutro.com/applications/{applicationId}/status"
headers = {
"Authorization": "Bearer <token>",
"x-sutro-api-client": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-sutro-api-client': '<api-key>'}
};
fetch('https://sapi.withsutro.com/applications/{applicationId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"implementationJobId": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"errorMessage": "<string>",
"errorStack": "<string>",
"startedAt": "<string>",
"completedAt": "<string>"
}
]
}applications
Gets the current status of the Application
Gets the current status of the Application
Authorizations
Builder authentication and authorization
A unique identifier for the API Client making a request
Path Parameters
Response
The current status of an Application. It includes information about the application's jobs, deployments, migrations, and other statuses.
Array of jobs associated with the application
Show child attributes
Show child attributes
Was this page helpful?
⌘I